Show / Hide Table of Contents

# Class DiscordSocketRestClient

##### Inheritance

System.Object
BaseDiscordClient
DiscordRestClient
DiscordSocketRestClient

##### Implements

IDiscordClient
System.IDisposable

##### Inherited Members

DiscordRestClient.CurrentUser
DiscordRestClient.GetApplicationInfoAsync(RequestOptions)
DiscordRestClient.GetChannelAsync(UInt64, RequestOptions)
DiscordRestClient.GetPrivateChannelsAsync(RequestOptions)
DiscordRestClient.GetDMChannelsAsync(RequestOptions)
DiscordRestClient.GetGroupChannelsAsync(RequestOptions)
DiscordRestClient.GetConnectionsAsync(RequestOptions)
DiscordRestClient.GetInviteAsync(String, RequestOptions)
DiscordRestClient.GetGuildAsync(UInt64, RequestOptions)
DiscordRestClient.GetGuildEmbedAsync(UInt64, RequestOptions)
DiscordRestClient.GetGuildSummariesAsync(RequestOptions)
DiscordRestClient.GetGuildSummariesAsync(UInt64, Int32, RequestOptions)
DiscordRestClient.GetGuildsAsync(RequestOptions)
DiscordRestClient.CreateGuildAsync(String, IVoiceRegion, Stream, RequestOptions)
DiscordRestClient.GetUserAsync(UInt64, RequestOptions)
DiscordRestClient.GetGuildUserAsync(UInt64, UInt64, RequestOptions)
DiscordRestClient.GetVoiceRegionsAsync(RequestOptions)
DiscordRestClient.GetVoiceRegionAsync(String, RequestOptions)
DiscordRestClient.GetWebhookAsync(UInt64, RequestOptions)
DiscordRestClient.IDiscordClient.GetApplicationInfoAsync(RequestOptions)
DiscordRestClient.IDiscordClient.GetChannelAsync(UInt64, CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetPrivateChannelsAsync(CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetDMChannelsAsync(CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetGroupChannelsAsync(CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetConnectionsAsync(RequestOptions)
DiscordRestClient.IDiscordClient.GetInviteAsync(String, RequestOptions)
DiscordRestClient.IDiscordClient.GetGuildAsync(UInt64, CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetGuildsAsync(CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.CreateGuildAsync(String, IVoiceRegion, Stream, RequestOptions)
DiscordRestClient.IDiscordClient.GetUserAsync(UInt64, CacheMode, RequestOptions)
DiscordRestClient.IDiscordClient.GetVoiceRegionsAsync(RequestOptions)
DiscordRestClient.IDiscordClient.GetVoiceRegionAsync(String, RequestOptions)
DiscordRestClient.IDiscordClient.GetWebhookAsync(UInt64, RequestOptions)
BaseDiscordClient.Log
BaseDiscordClient.LoggedIn
BaseDiscordClient.LoggedOut
BaseDiscordClient.LoginState
BaseDiscordClient.TokenType
BaseDiscordClient.Dispose()
BaseDiscordClient.GetRecommendedShardCountAsync(RequestOptions)
BaseDiscordClient.IDiscordClient.ConnectionState
BaseDiscordClient.IDiscordClient.CurrentUser
BaseDiscordClient.IDiscordClient.GetUserAsync(String, String, RequestOptions)
BaseDiscordClient.IDiscordClient.StartAsync()
BaseDiscordClient.IDiscordClient.StopAsync()
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class DiscordSocketRestClient : DiscordRestClient, IDiscordClient, IDisposable

### Methods

| Improve this Doc View Source

#### LoginAsync(TokenType, String, Boolean)

##### Declaration

    public Task LoginAsync(TokenType tokenType, string token, bool validateToken = true)

##### Parameters

Type | Name | Description
--- | --- | ---
TokenType | tokenType |
System.String | token |
System.Boolean | validateToken |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### LogoutAsync()

##### Declaration

    public Task LogoutAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Implements

IDiscordClient
System.IDisposable